MyGUI_ActionController.cpp File Reference
`#include "MyGUI_Precompiled.h"`
`#include "MyGUI_ActionController.h"`
`#include "MyGUI_Widget.h"`
`#include "MyGUI_WidgetManager.h"`

Go to the source code of this file.

## Namespaces

namespace | MyGUI
namespace | MyGUI::action

## Functions

void | MyGUI::action::actionWidgetHide (Widget *_widget, ControllerItem *_controller)
void | MyGUI::action::actionWidgetShow (Widget *_widget, ControllerItem *_controller)
void | MyGUI::action::actionWidgetDestroy (Widget *_widget, ControllerItem *_controller)
void | MyGUI::action::linearMoveFunction (const IntCoord &_startRect, const IntCoord &_destRect, IntCoord &_result, float _k)
void | MyGUI::action::inertionalMoveFunction (const IntCoord &_startRect, const IntCoord &_destRect, IntCoord &_result, float _current_time)